Package org.apache.storm.daemon.drpc

# Class DRPCThrift

java.lang.Object
org.apache.storm.daemon.drpc.DRPCThrift

All Implemented Interfaces:
  `DistributedRPC.Iface`, `DistributedRPCInvocations.Iface`

public class DRPCThrift extends Object implements DistributedRPC.Iface, DistributedRPCInvocations.Iface

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DRPCThrift(DRPC drpc)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `execute(String functionName, String funcArgs)`
  `void`
  `failRequest(String id)`
  `void`
  `failRequestV2(String id, DRPCExecutionException e)`
  `DRPCRequest`
  `fetchRequest(String functionName)`
  `void`
  `result(String id, String result)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DRPCThrift

    public DRPCThrift(DRPC drpc)

- ## Method Details

  - ### result

    public void result(String id, String result) throws AuthorizationException
    Specified by:
      `result` in interface `DistributedRPCInvocations.Iface`
    Throws:
      `AuthorizationException`

  - ### fetchRequest

    public DRPCRequest fetchRequest(String functionName) throws AuthorizationException
    Specified by:
      `fetchRequest` in interface `DistributedRPCInvocations.Iface`
    Throws:
      `AuthorizationException`

  - ### failRequest

    public void failRequest(String id) throws AuthorizationException
    Specified by:
      `failRequest` in interface `DistributedRPCInvocations.Iface`
    Throws:
      `AuthorizationException`

  - ### failRequestV2

    public void failRequestV2(String id, DRPCExecutionException e) throws AuthorizationException
    Specified by:
      `failRequestV2` in interface `DistributedRPCInvocations.Iface`
    Throws:
      `AuthorizationException`

  - ### execute

    public String execute(String functionName, String funcArgs) throws DRPCExecutionException, AuthorizationException
    Specified by:
      `execute` in interface `DistributedRPC.Iface`
    Throws:
      `DRPCExecutionException`
      `AuthorizationException`